						/******************************/
						/*******  CLASS PILE   ********/
						/******************************/

#include "pile.h"
#include <stdlib.h>
#include <assert.h>

Pile::Pile(int dim)
{
	 vecteur = new Objet[dim];
	 assert( vecteur != 0 );
	 cime = BDP;
}

Pile::~Pile()
{
	 delete[] vecteur;
}

void Pile::mettre(Objet valeur)
{
	// if ( pile_pleine() )
	// { exit(-1); }
	 vecteur[++cime] = valeur;
}

Objet Pile::prendre()
{
	// if ( pile_vide() )
	// { exit(-1); }
	 return vecteur[cime--];
}

Objet Pile::test()
{
  return vecteur[cime];
}

void Pile::vide()
{
  cime=BDP;

}